Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.profile
Interface DevCat

All Known Subinterfaces:
  DevCat.BumpBar, DevCat.CashDrawer, DevCat.CAT, DevCat.CoinDispenser, DevCat.FiscalPrinter, DevCat.HardTotals, DevCat.Keylock, DevCat.LineDisplay, DevCat.MICR, DevCat.MSR, DevCat.Pinpad, DevCat.POSKeyboard, DevCat.POSPower, DevCat.POSPrinter, DevCat.RemoteOrderDisplay, DevCat.Scanner, DevCat.SignatureCapture, DevCat.ToneIndicator

All Known Implementing Classes:
  JposDevCats.AbstractDevCat, JposDevCats.Unknown, JposDevCats.BumpBar, JposDevCats.CashDrawer, JposDevCats.CAT, JposDevCats.CoinDispenser, JposDevCats.FiscalPrinter, JposDevCats.HardTotals, JposDevCats.Keylock, JposDevCats.LineDisplay, JposDevCats.MICR, JposDevCats.MSR, JposDevCats.Pinpad, JposDevCats.POSKeyboard, JposDevCats.POSPower, JposDevCats.POSPrinter, JposDevCats.RemoteOrderDisplay, JposDevCats.Scanner, JposDevCats.SignatureCapture, JposDevCats.ToneIndicator

public interface DevCat

Defines an interface for JavaPOS device categories

Since:
  1.3 (SF 2K meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Inner Class Summary
`static interface` | `DevCat.BumpBar` Defines the DevCat for BumpBar
`static interface` | `DevCat.CashDrawer` Defines the DevCat for POSPrinter
`static interface` | `DevCat.CAT` Defines the DevCat for CAT
`static interface` | `DevCat.CoinDispenser` Defines the DevCat for CoinDispenser
`static interface` | `DevCat.FiscalPrinter` Defines the DevCat for FiscalPrinter
`static interface` | `DevCat.HardTotals` Defines the DevCat for HardTotals
`static interface` | `DevCat.Keylock` Defines the DevCat for Keylock
`static interface` | `DevCat.LineDisplay` Defines the DevCat for POSPrinter
`static interface` | `DevCat.MICR` Defines the DevCat for MICR
`static interface` | `DevCat.MSR` Defines the DevCat for MSR
`static interface` | `DevCat.Pinpad` Defines the DevCat for Pinpad
`static interface` | `DevCat.POSKeyboard` Defines the DevCat for POSKeyboard
`static interface` | `DevCat.POSPower` Defines the DevCat for POSPower
`static interface` | `DevCat.POSPrinter` Defines the DevCat for POSPrinter
`static interface` | `DevCat.RemoteOrderDisplay` Defines the DevCat for RemoteOrderDisplay
`static interface` | `DevCat.Scanner` Defines the DevCat for Scanner
`static interface` | `DevCat.SignatureCapture` Defines the DevCat for SignatureCapture
`static interface` | `DevCat.ToneIndicator` Defines the DevCat for ToneIndicator

Field Summary
`static java.lang.String` | `JPOS_VERSION_STRING` Indicates the version of JavaPOS that these DevCat apply to

Method Summary
`void` | `accept(DevCatVisitor visitor)` Accepts a DevCat Visitor object
`java.lang.String` | `toString()`

Field Detail

### JPOS_VERSION_STRING

    public static final java.lang.String JPOS_VERSION_STRING

  Indicates the version of JavaPOS that these DevCat apply to

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the String representation of this DevCat

### accept

    public void accept(DevCatVisitor visitor)

  Accepts a DevCat Visitor object
  Parameters:
    `visitor` - the DevCat Visitor object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details